## kde-config-snap 0.1+p24.04+vstable+git20251001.1516

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vstable+git20251001.1516-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 15:16:06 +0000

## kde-config-snap 0.1+p24.04+vstable+git20251004.0538

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vstable+git20251004.0538-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:38:50 +0000

## kde-config-snap 0.1+p24.04+vstable+git20251017.0810

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vstable+git20251017.0810-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:10:46 +0000

## kde-config-snap 0.1+p24.04+vstable+git20251021.0322

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Soumyadeep Ghosh <soumyadghosh@ubuntu.com>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(kcm_snap)

set(PROJECT_VERSION "6.3.80")
set(PROJECT_VERSION_MAJOR 6)

set(PROJECT_DEP_VERSION "6.2.0")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")

set(SNAPD_MIN_VERSION "1.6.5")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)


find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
find_package(Snapd ${SNAPD_MIN_VERSION} REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Gui Qml DBus)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    KCMUtils
    I18n
)

add_subdirectory(src)

ki18n_install(po)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Soumyadeep Ghosh <soumyadghosh@ubuntu.com>
#
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN="kcm_snap")
kcmutils_add_qml_kcm(kcm_snap)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
target_sources(kcm_snap PRIVATE
   snappermissions.cpp
   snappermissions.h
   kcmsnap.cpp
   kcmsnap.h
   kcmplug.cpp
   kcmplug.h
   snapbackend.cpp
   snapbackend.h
)
target_link_libraries(kcm_snap PRIVATE
    Qt::DBus
    Qt::Quick
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::I18n
    Snapd::Core
)

## kde-config-snap 0.1+p24.04+vstable+git20251019.0246

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vstable+git20251019.0246-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:46:37 +0000

=== debian/control ===
Source: kde-config-snap
Section: misc
Priority: optional
Standards-Version: 4.7.0
Build-Depends: cmake,
               debhelper,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               libsnapd-qt-dev
Vcs-Git: https://invent.kde.org/neon/neon-packaging/snap-kcm.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/snap-kcm
Maintainer: Neon CI <neon@kde.org>

Package: kde-config-snap
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Configuration Module to manage permissions of snap packages
 KDE Configuration Module to manage permissions of snap packages build on the snapd-glib api.mk

## kde-config-snap 0.1+p24.04+vstable+git20251021.0322

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vstable+git20251021.0322-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:22:21 +0000

## kde-config-snap 0.1+p24.04+vstable+git20251210.0212

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vstable+git20251210.0212-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 02:12:16 +0000

## kde-config-snap 0.1+p24.04+vstable+git20251231.0343

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vstable+git20251231.0343-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:43:28 +0000

## kde-config-snap 0.1+p24.04+vstable+git20260107.0903

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vstable+git20260107.0903-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:03:10 +0000

## kde-config-snap 0.1+p24.04+vstable+git20260130.0930

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vstable+git20260130.0930-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:30:43 +0000

## kde-config-snap 0.1+p24.04+vstable+git20260205.0635

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vstable+git20260205.0635-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:35:16 +0000

## kde-config-snap 0.1+p24.04+vunstable+git20251003.1315

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vunstable+git20251003.1315-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 13:15:44 +0000

## kde-config-snap 0.1+p24.04+vunstable+git20251113.0637

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vunstable+git20251113.0637-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 06:37:08 +0000

## kde-config-snap 0.1+p24.04+vunstable+git20251123.1355

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vunstable+git20251123.1355-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 13:55:54 +0000

## kde-config-snap 0.1+p24.04+vunstable+git20260130.1420

=== debian/changelog ===
kde-config-snap (0.1+p24.04+vunstable+git20260130.1420-0) noble; urgency=medium

  [ Alex Lowe ]
  * Initial release.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:20:56 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 13),
                kf6-extra-cmake-modules,
                kf6-kcmutils-dev,
-               libsnapd-qt-dev
+               libsnapd-qt6-dev
 Vcs-Git: https://invent.kde.org/neon/neon-packaging/snap-kcm.git
 Vcs-Browser: https://invent.kde.org/neon/neon-packaging/snap-kcm
 Maintainer: Neon CI <neon@kde.org>
